package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 机构 bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TBOrgBean implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "机构id")
    @NotNull(message = "机构id不能为空")
    private Long id;//机构id

    @ApiModelProperty(name = "机构名称")
    private String name;//机构名称

    @ApiModelProperty(name = "机构代码")
    @NotNull(message = "机构代码不能为空")
    private String code;//机构代码

    @ApiModelProperty(name = "机构logo")
    private String logo;//logo

    @ApiModelProperty(name = "是否启用，0：停用，1：启用")
    private Integer enable;//是否启用

    @ApiModelProperty(name = "安装包地址")
    @NotNull(message = "安装包地址不能为空")
    private String packagePath;

    @ApiModelProperty(value = "版本号描述")
    private String description;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getPackagePath() {
        return packagePath;
    }

    public void setPackagePath(String packagePath) {
        this.packagePath = packagePath;
    }
}
